class GamingBoard extends Phaser.Scene {
    constructor() {
        super('GamingBoard');
    }

    preload() {
        this.cameras.main.setViewport(WIDTH_WINDOW / 10, HEIGHT_WINDOW / 10, WIDTH_MAP, WIDTH_MAP);

    }

    create() {
        this.add.image(0, 0, 'background').alpha = 0.1;

        this.enemy = new Robot(WIDTH_MAP * 0.1, WIDTH_MAP * 0.1, WIDTH_MAP * 0.9, WIDTH_MAP * 0.9, 0x6666ff, this);
        //this.myself = this.add.circle(this.width * 0.1, this.width * 0.1, this.width * 0.05, 0x6666ff);
        this.myself = new Robot(WIDTH_MAP * 0.1, WIDTH_MAP * 0.1, WIDTH_MAP * 0.1, WIDTH_MAP * 0.1, 0xff33cc, this);
        this.myself2 = new Robot(WIDTH_MAP * 0.1, WIDTH_MAP * 0.1, WIDTH_MAP * 0.1, WIDTH_MAP * 0.9, 0xffffff, this);

        this.myself.setTarget(this.enemy);
        this.myself2.setTarget(this.enemy);

        this.events.on('resume', () => this.resume());
    }

    update(time, delta) {
        super.update(time, delta);
        if (this.myself.target != null && this.myself.target.isAlive()) {
            if (!this.myself.isTargetInRange())
                this.myself.advanceToTarget();
            else
                this.myself.attackTarget();
        }

        if (this.myself2.target != null && this.myself2.target.isAlive()) {
            if (!this.myself2.isTargetInRange())
                this.myself2.advanceToTarget();
            else
                this.myself2.attackTarget();
            console.log(this.enemy.life);
        }
    }

    resume() {
        this.myself2.updateTarget();
    }


}